Subject: bug#34710: the mode line flicks on set-window-vscroll

From: Robert Pluim <[email-masked]>
Date: Wed, 06 Mar 2019 10:13:21 +0100

Alan Third <[email-masked]> writes:

> On Tue, Mar 05, 2019 at 06:09:41PM +0100, Robert Pluim wrote:
>> Robert Pluim <[email-masked]> writes:
>> 
>> > so not 4k, and I normally run with multiple non-maximized frames (but
>> > my testing was with a single default frame).
>> 
>> So Iʼve decided that this was all down to key-repeat rate. I had that
>> set to maximum already, but I went into system preferences, set it
>> lower, exited emacs, set it back, and now emacs with your patch is OK.
>
> Good to know, but still sounds like performance could be improved.
>
> And I still can’t replicate it. Perhaps it’s a combination of multiple
> factors.
>
> Can you try this patch and see if it improves anything, please?
>
> modified   src/nsterm.m
> @@ -1168,7 +1168,6 @@ static NSRect constrain_frame_rect(NSRect frameRect, bool isFullscreen)
>  
>  #ifdef NS_IMPL_COCOA
>    [NSGraphicsContext setCurrentContext:nil];
> -  [view display];
>  #else
>    block_input ();
>  
> It’s possible this will cause it to drop frames and make things worse.

That makes no perceptible difference in my not-too-accurate test,
which is scrolling my org-file using C-n from top to bottom: ≅ 17
seconds in both cases.

Robert